summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorJohn McLear <john@mclear.co.uk>2015-01-21 12:18:38 +0000
committerJohn McLear <john@mclear.co.uk>2015-01-21 12:18:38 +0000
commitf880b0feb7df9c05d78f4c320ece1b846f4fe27a (patch)
tree11e8e8fb6fea604bba6887c3f74feff88e2a771a /bin
parentee48b8b93a042e2d7a1c5d41ede91c019cffcb33 (diff)
downloadetherpad-lite-f880b0feb7df9c05d78f4c320ece1b846f4fe27a.zip
clean up iojs
Diffstat (limited to 'bin')
-rwxr-xr-xbin/installDeps.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/bin/installDeps.sh b/bin/installDeps.sh
index 00575845..fcf213e4 100755
--- a/bin/installDeps.sh
+++ b/bin/installDeps.sh
@@ -10,29 +10,29 @@ fi
#Is gnu-grep (ggrep) installed on SunOS (Solaris)
if [ $(uname) = "SunOS" ]; then
- hash ggrep > /dev/null 2>&1 || {
+ hash ggrep > /dev/null 2>&1 || {
echo "Please install ggrep (pkg install gnu-grep)" >&2
- exit 1
+ exit 1
}
fi
#Is curl installed?
-hash curl > /dev/null 2>&1 || {
+hash curl > /dev/null 2>&1 || {
echo "Please install curl" >&2
- exit 1
+ exit 1
}
#Is node installed?
#not checking io.js, default installation creates a symbolic link to node
-hash node > /dev/null 2>&1 || {
+hash node > /dev/null 2>&1 || {
echo "Please install node.js ( http://nodejs.org )" >&2
- exit 1
+ exit 1
}
#Is npm installed?
-hash npm > /dev/null 2>&1 || {
+hash npm > /dev/null 2>&1 || {
echo "Please install npm ( http://npmjs.org )" >&2
- exit 1
+ exit 1
}
#check npm version
@@ -40,18 +40,20 @@ NPM_VERSION=$(npm --version)
NPM_MAIN_VERSION=$(echo $NPM_VERSION | cut -d "." -f 1)
if [ $(echo $NPM_MAIN_VERSION) = "0" ]; then
echo "You're running a wrong version of npm, you're using $NPM_VERSION, we need 1.x or higher" >&2
- exit 1
+ exit 1
fi
#check node version
NODE_VERSION=$(node --version)
NODE_V_MINOR=$(echo $NODE_VERSION | cut -d "." -f 1-2)
#iojs version checking added
-IOJS_VERSION=$(iojs --version)
+if hash iojs 2>/dev/null; then
+ IOJS_VERSION=$(iojs --version)
+fi
if [ ! $NODE_V_MINOR = "v0.8" ] && [ ! $NODE_V_MINOR = "v0.10" ] && [ ! $NODE_V_MINOR = "v0.11" ]; then
if [ ! $IOJS_VERSION ]; then
echo "You're running a wrong version of node, or io.js is not installed. You're using $NODE_VERSION, we need v0.8.x, v0.10.x or v0.11.x" >&2
- exit 1
+ exit 1
fi
fi
@@ -76,9 +78,9 @@ echo "Ensure that all dependencies are up to date... If this is the first time
[ -e ep_etherpad-lite ] || ln -s ../src ep_etherpad-lite
cd ep_etherpad-lite
npm install --loglevel warn
-) || {
+) || {
rm -rf node_modules
- exit 1
+ exit 1
}
echo "Ensure jQuery is downloaded and up to date..."
@@ -111,7 +113,7 @@ do
if [ ! -f "src/static/custom/$f.js" ]; then
cp "src/static/custom/js.template" "src/static/custom/$f.js" || exit 1
fi
-
+
if [ ! -f "src/static/custom/$f.css" ]; then
cp "src/static/custom/css.template" "src/static/custom/$f.css" || exit 1
fi